%define vmaj    %(echo %{version}|cut -d. -f-2)

Name:           onboard
Version:        1.4.1
Release:        %mkrel 9
Summary:        On-screen keyboard with spelling suggestions, auto-show and more

Group:          Accessibility
License:        GPLv2+
URL:            https://launchpad.net/onboard/
Source0:        http://launchpad.net/%{name}/%{vmaj}/%{version}/+download/%{name}-%{version}.tar.gz
Patch0:         linking.patch
Patch1:		0001-Port-to-Ayatana-AppIndicator.patch
BuildRequires:  desktop-file-utils
BuildRequires:  gettext
BuildRequires:  intltool
BuildRequires:  pkgconfig(xi)
BuildRequires:  pkgconfig(dconf)
BuildRequires:  pkgconfig(gdk-3.0)
BuildRequires:  pkgconfig(hunspell)
BuildRequires:  pkgconfig(libcanberra)
BuildRequires:  pkgconfig(libudev)
BuildRequires:  pkgconfig(xkbfile)
BuildRequires:  pkgconfig(xtst)
BuildRequires:  pkgconfig(python3)
BuildRequires:  python3dist(python-distutils-extra)
BuildRequires:  python3dist(setuptools)

Requires:       at-spi2-atk
Requires:       at-spi2-core-qt
Requires:       fonts-ttf-dejavu
Requires:       fonts-ttf-mageia
Requires:       hicolor-icon-theme
Requires:       mousetweaks
Requires:       python3dist(pycairo)
Requires:       python3dist(dbus-python)
Requires:       python3dist(pygobject)
Requires:       iso-codes
# qtatspi-plugin may be removed to work around Mga#11975 with some loss of funtionality
Recommends:     qtatspi-plugin
# gnome-shell-extensions-onboard pulls in 160 more packages on non-gnome 
# systems so don't recommend it yet. Only add when boolean deps are supported by urpmi.
# https://bugs.mageia.org/show_bug.cgi?id=17799
#Recommends:     (gnome-shell-extensions-%%{name} if gnome-shell)

%description
An on-screen keyboard useful on tablet PCs or for mobility impaired users, or
just really handy when the keyboard is out of reach.
Onboard can store text snippets for one click typing and can also suggest
(and learn) words to speed text entry.
Many theme options are available and each of these may be customized.
The keyboard may be configured to automatically show itself when text input
is required.

%package -n gnome-shell-extensions-%{name}
Summary:        Shell extension for gnome
Conflicts:      onboard < 1.2

%description -n gnome-shell-extensions-%{name}
Shell extension for gnome.

%prep
%setup -q
%autopatch -p1

%build
%py3_build

%install
%py3_install

# Use example default configuration file
mkdir -p %{buildroot}%{_sysconfdir}/%{name}
cp %{buildroot}%{_datadir}/%{name}/%{name}-defaults.conf.example %{buildroot}%{_sysconfdir}/%{name}/%{name}-defaults.conf
# Swich to full keyboard
sed -i 's/#layout=Full Keyboard/layout=Full Keyboard/' %{buildroot}%{_sysconfdir}/%{name}/%{name}-defaults.conf
sed -i 's/layout=Compact/#layout=Compact/' %{buildroot}%{_sysconfdir}/%{name}/%{name}-defaults.conf
# Use Mageia superkey label
sed -i 's/superkey-label=.*$/superkey-label=/' %{buildroot}%{_sysconfdir}/%{name}/%{name}-defaults.conf
# Switch font to DejaVu-Sans
sed -i 's/^key-label-font=.*$/key-label-font=DejaVu Sans/' %{buildroot}%{_sysconfdir}/%{name}/%{name}-defaults.conf
# Configuration change for patch0 (StatusIconProvider.patch)
sed -i '/\[main\]/a status-icon-provider=GtkStatusIcon' %{buildroot}%{_sysconfdir}/%{name}/%{name}-defaults.conf
# Enable icon-palette for gnome3 or on closing keyboard there is no visible activation method
sed -i '/\[icon-palette\]/a in-use=True' %{buildroot}%{_sysconfdir}/%{name}/%{name}-defaults.conf
# Remove Ubuntu icons
rm -rf %{buildroot}%{_iconsdir}/ubuntu*
# Desktop files
mkdir -p %{buildroot}%{_datadir}/applications
desktop-file-install                                    \
    --remove-category="X-GNOME-PersonalSettings"        \
    --add-category="Utility;"                           \
    --dir=%{buildroot}%{_datadir}/applications          \
    %{_builddir}/%{name}-%{version}/build/share/applications/%{name}.desktop

desktop-file-install                                    \
    --remove-category="X-GNOME-PersonalSettings"        \
    --remove-category="Settings"                        \
    --add-category="Utility;"                           \
    --dir=%{buildroot}%{_datadir}/applications          \
    %{_builddir}/%{name}-%{version}/build/share/applications/%{name}-settings.desktop

# Desktop files autostart
mkdir -p %{buildroot}%{_sysconfdir}/xdg/autostart
desktop-file-install                                    \
    --add-category="Utility;"                           \
    --dir=%{buildroot}%{_sysconfdir}/xdg/autostart                  \
    %{_builddir}/%{name}-%{version}/build/share/autostart/%{name}-autostart.desktop

mkdir -p %{buildroot}%{_datadir}/locale
cp -a build/mo/* %{buildroot}%{_datadir}/locale

%find_lang %{name} --with-gnome

%files -f %{name}.lang
%doc AUTHORS COPYING NEWS README
%{_bindir}/%{name}
%{_bindir}/%{name}-settings
%{_datadir}/applications/%{name}.desktop
%{_datadir}/applications/%{name}-settings.desktop
%{_datadir}/glib-2.0/schemas/org.%{name}.gschema.xml
%{_datadir}/dbus-1/services/org.%{name}.Onboard.service
%{_iconsdir}/hicolor/scalable/apps/%{name}.svg
%{_iconsdir}/HighContrast/scalable/apps/%{name}.svg
%{_iconsdir}/hicolor/22x22/apps/%{name}.png
%{_iconsdir}/hicolor/16x16/apps/%{name}.png
%{_iconsdir}/hicolor/24x24/apps/%{name}.png
%{_iconsdir}/hicolor/28x28/apps/%{name}.png
%{_iconsdir}/hicolor/32x32/apps/%{name}.png
%{_datadir}/%{name}/
%{_datadir}/sounds/freedesktop/stereo/%{name}-key-feedback.oga
%{python3_sitearch}/%{name}*.egg-info
%{python3_sitearch}/Onboard/
%{_sysconfdir}/xdg/autostart/%{name}-autostart.desktop
%dir %{_sysconfdir}/%{name}
%config(noreplace) %{_sysconfdir}/%{name}/%{name}-defaults.conf
%{_mandir}/man1/onboard*


%files -n gnome-shell-extensions-%{name}
%{_datadir}/gnome-shell/extensions/Onboard_Indicator@onboard.org/


%changelog
* Thu Aug 06 2020 wally <wally> 1.4.1-9.mga8
+ Revision: 1611508
- Port to Ayatana AppIndicator

* Wed Jul 22 2020 ovitters <ovitters> 1.4.1-8.mga8
+ Revision: 1608019
- rebuild for get rid of pythonegg requires

* Sun Feb 16 2020 umeabot <umeabot> 1.4.1-7.mga8
+ Revision: 1533565
- Mageia 8 Mass Rebuild

* Sun Sep 22 2019 wally <wally> 1.4.1-6.mga8
+ Revision: 1444669
- add patch to fix linking
+ daviddavid <daviddavid>
- rebuild for python3.8

* Tue Jan 08 2019 tv <tv> 1.4.1-5.mga7
+ Revision: 1352209
- rebuild with python 3.7

* Fri Nov 23 2018 daviddavid <daviddavid> 1.4.1-4.mga7
+ Revision: 1333474
- rebuild for new hunspell 1.7.0

* Sun Sep 23 2018 umeabot <umeabot> 1.4.1-3.mga7
+ Revision: 1299967
- Mageia 7 Mass Rebuild

* Fri Sep 01 2017 daviddavid <daviddavid> 1.4.1-2.mga7
+ Revision: 1150408
- use new python macros to honor user CFLAGS thus fixing empty debugsourcefiles.list
- reenable debug package
- use find_lang --with-gnome for help files
- fix owner of /etc/onboard/ dir
+ pterjan <pterjan>
- Rebuild for python 3.6

* Tue Mar 07 2017 barjac <barjac> 1.4.1-1.mga6
+ Revision: 1089478
- new version 1.4.1
- added BR libudev

* Mon Aug 22 2016 barjac <barjac> 1.3.0-1.mga6
+ Revision: 1047929
- new version 1.3.0
- fixes Mga#17876 (tray icon left click issue)

* Thu Apr 21 2016 tv <tv> 1.2.0.2125-2.mga6
+ Revision: 1004210
- rebuid for libhunspell 1.4

* Tue Mar 15 2016 barjac <barjac> 1.2.0.2125-1.mga6
+ Revision: 990900
- use git snapshot until next minor release to fix system tray issues in plasma

* Sun Feb 21 2016 barjac <barjac> 1.2.0-2.mga6
+ Revision: 972840
- split out gnome-shell-extensions-onboard

* Sat Feb 20 2016 barjac <barjac> 1.2.0-1.mga6
+ Revision: 971134
- fix files list
- new version 1.2.0

* Tue Feb 16 2016 umeabot <umeabot> 1.1.2-3.mga6
+ Revision: 961818
- Mageia 6 Mass Rebuild

* Wed Oct 07 2015 barjac <barjac> 1.1.2-2.mga6
+ Revision: 887089
- rebuild for new python3

* Sat Oct 03 2015 barjac <barjac> 1.1.2-1.mga6
+ Revision: 885844
- new version 1.1.2

* Wed Feb 18 2015 barjac <barjac> 1.1.1-1.mga5
+ Revision: 815614
- new version 1.1.1

* Wed Oct 15 2014 umeabot <umeabot> 1.0.1-7.mga5
+ Revision: 747467
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 1.0.1-6.mga5
+ Revision: 727493
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 1.0.1-5.mga5
+ Revision: 683176
- Mageia 5 Mass Rebuild
+ tv <tv>
- s/uggests:/Recommends:/
+ ovitters <ovitters>
- add gobject-introspection BR for typelib auto BR

* Sat May 31 2014 pterjan <pterjan> 1.0.1-4.mga5
+ Revision: 629697
- Rebuild for new Python

* Sat May 31 2014 pterjan <pterjan> 1.0.1-3.mga5
+ Revision: 629539
- Rebuild for new Python

* Wed Apr 09 2014 barjac <barjac> 1.0.1-2.mga5
+ Revision: 612970
- make qtatspi-plugin a suggest to work around Mga#11975

* Tue Mar 18 2014 barjac <barjac> 1.0.1-1.mga5
+ Revision: 604658
- new version 1.0.1
- removed upstream patches included in this version

* Wed Dec 04 2013 barjac <barjac> 0.99.0-10.mga4
+ Revision: 554908
- add require iso-codes

* Tue Oct 22 2013 umeabot <umeabot> 0.99.0-9.mga4
+ Revision: 542834
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 pterjan <pterjan> 0.99.0-8.mga4
+ Revision: 497965
- Rebuild to add different pythonegg provides for python 2 and 3

* Sun Oct 13 2013 barjac <barjac> 0.99.0-7.mga4
+ Revision: 496182
- changed require

* Thu Oct 10 2013 barjac <barjac> 0.99.0-6.mga4
+ Revision: 494444
- add Requires: at-spi2-core

* Sun Oct 06 2013 barjac <barjac> 0.99.0-5.mga4
+ Revision: 492330
- use mageia logo for superkey
- updated requires
- improved description

* Wed Oct 02 2013 barjac <barjac> 0.99.0-4.mga4
+ Revision: 490564
- enable floating icon by default - fixes lack of systray icon in gnome3
- remove apparently un-needed typelib Requires

* Tue Oct 01 2013 barjac <barjac> 0.99.0-3.mga4
+ Revision: 490165
- upstream patch to fix input-event-source bug
- removed useless BuildRequire
- added Requires suggested by upstream
- switched default layout, removed Ubuntu superkey, changed font to DejaVu
- removed some Ubuntu icons

* Sun Sep 29 2013 barjac <barjac> 0.99.0-2.mga4
+ Revision: 489231
- remove noarch

* Sun Sep 29 2013 barjac <barjac> 0.99.0-1.mga4
+ Revision: 488688
- new version using python3
- patch from upstream bzr to make left click on tray icon activate keyboard
- changed build requires
- removed obsolete patch and tidied spec

* Sun Jan 13 2013 umeabot <umeabot> 0.95.2-2.mga3
+ Revision: 361857
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Apr 23 2012 malo <malo> 0.95.2-1.mga2
+ Revision: 232949
- Update to the 0.95.2 version

* Wed Mar 07 2012 malo <malo> 0.94.0-1.mga2
+ Revision: 220704
- spec clean-up after import from Mandriva
- imported package onboard


* Fri Jan 07 2011 Antoine Ginies <aginies@mandriva.com> 0.94.0-1mdv2011.0
+ Revision: 629470
- fix group
- import onboard

